/**
 *
 * Copyright (C) 2012 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/

package pModel;

import pModel.pTerrain.Terrain;
import pModel.pTortue.Balle;
import pModel.pTortue.Tortue;

/**
 * Class Solo
 * @author Olivier Berthier
 */
public class Solo implements _Model {

	//
	// Fields
	//
	private String title;
	//private ArrayList<Observer> listObserver = new ArrayList<Observer>(); 
	private Terrain terrain;
	private Tortue tortue;

	//
	// Constructors
	//
	public Solo () { 
		terrain = new Terrain(800,800);
		tortue = new Tortue(this,"toto",400,400);	  
		this.title="Tortue Solo";
	};

	//
	// Methods
	//


	//
	// Accessor methods
	//
	/**
	 * @return the title
	 */
	public String getTitle() {
		return title;
	}

	/**
	 * @param title the title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}
	/**
	 * Set the value of plateau
	 * @param newVar the new value of plateau
	 */
	public void setTerrain ( Terrain newVar ) {
		terrain = newVar;
	}

	/**
	 * Get the value of plateau
	 * @return the value of plateau
	 */
	public Terrain getTerrain ( ) {
		return terrain;
	}
	/**
	 * Set the value of tortue
	 * @param newVar the new value of tortue
	 */
	private void setTortue ( Tortue newVar ) {
		tortue = newVar;
	}

	/**
	 * Get the value of tortue
	 * @return the value of tortue
	 */
	public Tortue getTortue ( ) {
		return tortue;
	}




	//
	// Other methods
	//

	/* (non-Javadoc)
	 * @see pModel._Model#init()
	 */
	@Override
	public void init(  )
	{
		//this.tortue = new Tortue("toto");
	}


	/* (non-Javadoc)
	 * @see pModel._Model#run()
	 */
	@Override
	public void run(  )
	{
		this.setTortue(this.tortue);		  
	}




	/* (non-Javadoc)
	 * @see pModel._Model#end()
	 */
	@Override
	public void end(  )
	{
	}


	/* (non-Javadoc)
	 * @see pModel._Model#getBalle()
	 */
	@Override
	public Balle getBalle() {
		// TODO Auto-generated method stub
		return null;
	}





}
